<?php require_once('Connections/cn.php'); ?>
<?php
// header("Content-Type:text/html; charset=UTF-8");
header("Content-Type:text/html; charset=utf-8");

// Realizo la consulta de la Tabla materias filtrando con la carrera que se seleccion�.
 
mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");
$query_carreras = "Select
id_alumno,
apellidos,
nombres
From
alumnos";

$rst_carreras = mysql_query($query_carreras, $cn) or die(mysql_error());
	while($carrera = mysql_fetch_assoc($rst_carreras))
		{
		 $apellidos=normaliza($carrera["apellidos"]);
		 $nombres=normaliza($carrera["nombres"]);
		 echo $apellidos.', '.$nombres."<br>";
		 $id_alumno=normaliza($carrera["id_alumno"]);
		 $sql = "update alumnos set apellidos='$apellidos', nombres='$nombres' where id_alumno='$id_alumno'";

  mysql_query($sql, $cn) or die(mysql_error());
  
			
		}

?>


<?php
function normaliza($cadena){
    $originales = '‰Ã‘“šÃ';
    $modificadas = 'ÉÍÑÓÚÁ';
    $cadena = utf8_decode($cadena);
    $cadena = strtr($cadena, utf8_decode($originales), $modificadas);
    return $cadena;
}

 ?>


